ingres_field_precision
ingres_field_type
Ingres Functions
PHP Manual

# ingres_field_scale

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres >= 1.0.0)

ingres_field_scale — Get the scale of a field

### Description

int ingres_field_scale ( resource `$result` , int `$index` )

ingres_field_scale() returns the scale of a field. This value is used only for the decimal SQL data type. For detailed information, see the Ingres OpenAPI User Guide, Appendix "Data Types" in the Ingres documentation.

> Note: Related Configurations
> See ingres.array_index_start in Runtime Configuration

### Parameters

`result`

  The query result identifier

`index`

  `index` is the field whose scale will be retrieved.

  The possible values of `index` depend upon the value of ingres.array_index_start. If ingres.array_index_start is 1 (the default) then `index` must be between 1 and the value returned by ingres_num_fields(). If ingres.array_index_start is 0 then `index` must be between 0 and ingres_num_fields() - 1.

### Return Values

Returns the scale of the field, as an integer

### See Also

- ingres_query() - Send an SQL query to Ingres
- ingres_fetch_array() - Fetch a row of result into an array
- ingres_fetch_assoc() - Fetch a row of result into an associative array
- ingres_fetch_object() - Fetch a row of result into an object
- ingres_fetch_row() - Fetch a row of result into an enumerated array

ingres_field_precision
ingres_field_type
Ingres Functions
PHP Manual